Subject: [Ecrit] draft-ietf-ecrit-service-urn -- Response to the IESG comments

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 20 Aug 2007 15:10:41 +0200

Henning has submitted a new version of the draft based on the IESG feedback:
http://www.ietf.org/internet-drafts/draft-ietf-ecrit-service-urn-07.txt

I believe that only Chris has not yet switched from Discuss to No 
Objection. Hence, the questions below are specifically addressed to Chris.

Henning Schulzrinne wrote:
> Hannes pointed out that the service URN draft has been discussed in 
> the IESG and I checked out the comments. I copied-and-pasted them 
> below. I'll add some comments.
>
>
>
>> Has there been a [email-masked] review of this as recommended 
>> by RFC 3406?
>>
>
> Yes, there was, many a moon ago (see 
> http://www1.ietf.org/mail-archive/web/urn-nid/current/msg00410.html).

This question was asked by Chris.
>
>> The registration should be owned by the IETF, to avoid the later need 
>> for
>> an IESG action to change ownership in the event the ECRIT WG completes.
>
> I'm not sure what this is referring to.
>
> Declared registrant of the namespace:
>       Registering organization:  IETF ECRIT Working Group
>       Designated contact:  Henning Schulzrinne
>       Designated contact email:  [email-masked]
>
> ?
>
> I checked
>
> http://www.iana.org/assignments/urn-namespaces
>
> and all the examples seem to refer to non-IETF bodies. (Interestingly 
> enough, the IETF name space itself is registered by a certain Ryan 
> Moats.)
>
>>
>>
>> Section 3., paragraph 2:
>> >    Declared registrant of the namespace:
>> >      Registering organization:  IETF ECRIT Working Group
>>
>>   Can an ephemeral entity like a WG be a registrant? Should this be "the
>> IETF" instead? (Question for the APP ADs.)
>
> For now, changed to IETF. Let me know if there's a better answer.

The latest draft version contains the following text:

   Declared registrant of the namespace:
      Registering organization:  IETF
      Designated contact:  Henning Schulzrinne
      Designated contact email:  [email-masked]

To Chris: Is this OK for you?

>
>> Commented by:
>> Lars Eggert
>> Comment:
>> Section 3., paragraph 4:
>> >      service      = top-level *("." sub-service)
>> >      let-dig      = ALPHA / DIGIT
>> >      let-dig-hyp  = let-dig / '-'
>> >      sub-service  = let-dig [ *let-dig-hyp let-dig ]
>> >      top-level    = let-dig [ *25let-dig-hyp let-dig ]
>>
>>   DISCUSS: ABNF doesn't validate (3:26: error: Illegal character "'" -
>>   skipping to end of line). Also, should cite RFC 4234 normatively for
>>   ABNF.
>>
>
> Both fixed.
>
Lars, and Chris had a DISCUSS on this issue. Lars cleared their DISCUSS 
already.
To Chris: Are you also happy with the resolution of this issue?

Ciao
Hannes

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit